Bug 1783995 - [User] - User not able to get deleted if it is assigned to multiple user groups
Summary: [User] - User not able to get deleted if it is assigned to multiple user groups
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Users & Roles
Version: 6.7.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: 6.7.0
Assignee: Ondřej Ezr
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-16 12:48 UTC by Omkar Khatavkar
Modified: 2020-04-14 13:28 UTC (History)
2 users (show)

Fixed In Version: foreman-1.24.1.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28858 Normal Closed User not able to get deleted if it is assigned to multiple user groups 2020-03-13 11:50:22 UTC
Github theforeman foreman pull 7429 None closed Fixes #28858 - allow delete user with multiple groups 2020-03-13 11:50:33 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:19 UTC

Description Omkar Khatavkar 2019-12-16 12:48:21 UTC
Description of problem:
[User] - Ldap User not able to get deleted if it is assigned to multiple user groups and generated the 500 Internal Server Error 

Version-Release number of selected component (if applicable):
Satellite 6.7, 6.6 

How reproducible:
Always 

Steps to Reproduce:
1.Join the Ldap Authentication (Free IPA)
2.Create Multiple User Groups (test_group_1, test_group_2)
3. Create an IDM user and Logged into Satellite with that user.
4. Now assign that user to multiple groups.
5. try to delete that User from Satellite  

Actual results:
User is not able to get deleted and getting a 500 internal server error 

Expected results:
User should be able to get deleted 

Additional info:
It exists in Satellite 6.6

Comment 4 Tomer Brisker 2020-01-26 15:15:50 UTC
Created redmine issue https://projects.theforeman.org/issues/28858 from this bug

Comment 5 Bryan Kearney 2020-02-11 01:01:46 UTC
Upstream bug assigned to oezr@redhat.com

Comment 6 Bryan Kearney 2020-02-11 01:01:53 UTC
Upstream bug assigned to oezr@redhat.com

Comment 7 Bryan Kearney 2020-02-11 11:01:47 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28858 has been resolved.

Comment 11 Radovan Drazny 2020-03-13 14:01:52 UTC
Tested on Satellite 6.7 Snap 15 (foreman-1.24.1.14-1.el7sat.noarch) using the reproducer from the initial report. User got removed successfully, no error in WebUI nor in logs.

Comment 13 errata-xmlrpc 2020-04-14 13:28:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.